// file: $USFS/class/image_segmentation/v1.0/imags_cstr_0.cc
//

// isip include files
//
#include "image_segmentation.h"
#include "image_segmentation_constants.h"

// method: default destructor
//
// arguments: none
//
// return: none
//
Image_segmentation::~Image_segmentation() {

  // clean whatever needs to be cleaned
  //
  if (param_files_d != (char_1**)NULL) {
    for (int_4 i=0; i<num_models_d; i++) {
      if (param_files_d[i] != (char_1*)NULL) {
	delete [] param_files_d[i];
      }
    }
    delete [] param_files_d;
  }

  if (ia_d != (Image_analysis*)NULL) {
    delete [] ia_d;
  }

  // exit gracefully
  //
}
